Skip to main content
PATCH
/
webhooks
/
{id}
Update webhook
curl --request PATCH \
  --url https://management-api.fpjs.io/webhooks/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Version: <x-api-version>' \
  --data '
{
  "url": "https://website.com/webhook",
  "description": "My Webhook",
  "environment": {}
}
'
{
  "data": {
    "id": "wh_HYv9YfsIIUjpvR",
    "description": "My Webhook",
    "verified": false,
    "environment": {},
    "url": "https://website.com/webhook",
    "legacy": true,
    "basic_auth": {},
    "created_at": "2023-11-07T05:31:56Z",
    "signing_key": "<string>",
    "last_enabled_at": {},
    "last_disabled_at": {}
  },
  "environment": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.fingerprint.com/llms.txt

Use this file to discover all available pages before exploring further.

You can update the name, description, status, URL. Changing the URL will require this webhook to be verified again. Changing the status will disable/enable sending of identification events to your webhook.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Version
string
required

Management API version.

Path Parameters

id
string
required

Webhook ID

Body

application/json
url
string

URL of the webhook endpoint. Must start with https://.

Example:

"https://website.com/webhook"

description
string

Description of the webhook.

Example:

"My Webhook"

status
enum<string>

Status of the webhook: 'enabled' or 'disabled'.

Available options:
enabled,
disabled
environment
object

Environment ID this webhook is associated with. Null if global.

Response

Webhook updated. Changes will take effect in a few minutes.

data
object
required
environment
object
required

Environment ID this webhook is associated with. Null if global.